Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623036 - SystemError: (22, 'Invalid argument')
SystemError: (22, 'Invalid argument')
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:660b0a9afdd9bb2cc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 03:26 EDT by He Rui
Modified: 2011-02-11 16:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-11 03:31:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (482.21 KB, text/plain)
2010-08-11 03:26 EDT, He Rui
no flags Details
Attached traceback automatically from anaconda. (414.00 KB, text/plain)
2010-09-03 20:26 EDT, Brian Lane
no flags Details
Attached traceback automatically from anaconda. (286.17 KB, text/plain)
2011-02-11 09:04 EST, Frantisek Hanzlik
no flags Details

  None (edit)
Description He Rui 2010-08-11 03:26:06 EDT
The following was filed automatically by anaconda:
anaconda 14.15 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/isys/__init__.py", line 106, in lochangefd
    _isys.lochangefd(loop, targ)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/backend.py", line 177, in mountInstallImage
    isys.lochangefd("/dev/loop0", self._loopbackFile)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 937, in run
    if self.anaconda.backend.mountInstallImage(self.anaconda, stage2img):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 1730, in doInstall
    rc = self.ayum.run(self.instLog, cb, anaconda.intf)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/backend.py", line 286, in doInstall
    return anaconda.backend.doInstall(anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 212, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1174, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1195, in handleRenderCallback
    self.currentWindow.renderCallback()
SystemError: (22, 'Invalid argument')
Comment 1 He Rui 2010-08-11 03:26:12 EDT
Created attachment 438097 [details]
Attached traceback automatically from anaconda.
Comment 2 He Rui 2010-08-11 03:31:02 EDT
Oops, I encountered bug#590640 again.
Comment 3 Brian Lane 2010-09-03 20:26:22 EDT
Created an attachment (id=443010)
Attached traceback automatically from anaconda.
Comment 4 Frantisek Hanzlik 2011-02-11 09:04:04 EST
Created attachment 478242 [details]
Attached traceback automatically from anaconda.
Comment 5 Frantisek Hanzlik 2011-02-11 16:09:10 EST
Sorry, Oops, I take any rawhide boot.iso CD (with development anaconda version). Final F14 version hasn't this bug

Note You need to log in before you can comment on or make changes to this bug.